GrailsWebDataBinder (Grails 6.0.0)

Package: grails.web.databinding

## [Groovy] Class GrailsWebDataBinder

- grails.web.databinding.GrailsWebDataBinder

-     @groovy.transform.CompileStatic
      class GrailsWebDataBinder
      extends SimpleDataBinder

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `GrailsWebDataBinder.1` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private boolean` | `convertEmptyStringsToNull` |
    `protected GrailsApplication` | `grailsApplication` |
    `protected java.util.List<DataBindingListener>` | `listeners` |
    `protected org.springframework.context.MessageSource` | `messageSource` |
    `private boolean` | `trimStrings` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleDataBinder` | `BASIC_TYPES, INDEXED_PROPERTY_REGEX, autoGrowCollectionLimit, conversionHelpers, conversionService, formattedValueConversionHelpers, structuredEditors`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `convertEmptyStringsToNull`
    `boolean` | `trimStrings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsWebDataBinder (GrailsApplication grailsApplication)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Object` | `addElementToCollection(java.lang.Object obj, java.lang.String propName, java.lang.Class propertyType, java.lang.Object propertyValue, boolean clearCollection)`
    `` | `protected java.lang.Object` | `addElementToCollection(java.lang.Object obj, java.lang.String propName, org.grails.datastore.mapping.model.PersistentProperty property, java.lang.Object propertyValue, boolean clearCollection)`
    `` | `protected java.lang.Object` | `addElementToCollectionAt(java.lang.Object obj, java.lang.String propertyName, java.util.Collection collection, java.lang.Object index, java.lang.Object val)`
    `` | `void` | `bind(java.lang.Object obj, DataBindingSource source)`
    `` | `void` | `bind(java.lang.Object obj, DataBindingSource source, DataBindingListener listener)`
    `` | `void` | `bind(java.lang.Object object, DataBindingSource source, java.lang.String filter, java.util.List whiteList, java.util.List blackList, DataBindingListener listener)`
    `` | `void` | `bind(java.lang.Object obj, groovy.util.slurpersupport.GPathResult gpath)`
    `` | `protected java.lang.Object` | `convert(java.lang.Class typeToConvertTo, java.lang.Object value)`
    `` | `protected void` | `doBind(java.lang.Object object, DataBindingSource source, java.lang.String filter, java.util.List whiteList, java.util.List blackList, DataBindingListener listener, java.lang.Object errors)`
    `` | `private java.lang.Object` | `findAlementWithId(java.util.Set set, java.lang.Object idValue)`
    `` | `protected java.lang.Class` | `getDomainClassType(java.lang.Object obj, java.lang.String propName)` Parameters: `obj` - any object
    `` | `protected java.lang.String` | `getFormatString(java.lang.annotation.Annotation annotation)`
    `` | `protected java.lang.Object` | `getIdentifierValueFrom(java.lang.Object source)`
    `` | `protected java.util.Locale` | `getLocale()`
    `` | `private java.lang.Object` | `getMetaPropertyValue(groovy.lang.MetaProperty metaProperty, java.lang.Object delegate)`
    `` | `private org.grails.datastore.mapping.model.PersistentEntity` | `getPersistentEntity(java.lang.Class clazz)`
    `` | `protected java.lang.Object` | `getPersistentInstance(java.lang.Class<?> type, java.lang.Object id)`
    `` | `protected java.lang.Class<?>` | `getReferencedTypeForCollection(java.lang.String name, java.lang.Object target)`
    `` | `protected java.lang.Object` | `initializeProperty(java.lang.Object obj, java.lang.String propName, java.lang.Class propertyType, DataBindingSource source)`
    `` | `protected boolean` | `isDomainClass(java.lang.Class<?> clazz)`
    `` | `protected java.lang.Object` | `populateErrors(java.lang.Object obj, org.springframework.validation.BindingResult bindingResult)`
    `` | `protected java.lang.Object` | `preprocessValue(java.lang.Object propertyValue)`
    `` | `protected java.lang.Object` | `processIndexedProperty(java.lang.Object obj, groovy.lang.MetaProperty metaProperty, IndexedPropertyReferenceDescriptor indexedPropertyReferenceDescriptor, java.lang.Object val, DataBindingSource source, DataBindingListener listener, java.lang.Object errors)`
    `` | `protected java.lang.Object` | `processProperty(java.lang.Object obj, groovy.lang.MetaProperty metaProperty, java.lang.Object val, DataBindingSource source, DataBindingListener listener, java.lang.Object errors)`
    `` | `private java.util.Map` | `resolveConstrainedProperties(java.lang.Object object)`
    `` | `void` | `setDataBindingListeners(DataBindingListener[] listeners)`
    `` | `void` | `setFormattedValueConverters(FormattedValueConverter[] converters)`
    `` | `void` | `setMessageSource(org.springframework.context.MessageSource messageSource)`
    `` | `protected java.lang.Object` | `setPropertyValue(java.lang.Object obj, DataBindingSource source, groovy.lang.MetaProperty metaProperty, java.lang.Object propertyValue, DataBindingListener listener)`
    `` | `void` | `setStructuredBindingEditors(TypedStructuredBindingEditor[] editors)`
    `` | `void` | `setValueConverters(ValueConverter[] converters)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleDataBinder` | `addBindingError, addElementToArrayAt, addElementToCollection, addElementToCollectionAt, addElementsToCollection, bind, bind, bind, bind, bind, bind, bind, bindProperty, convert, convertStringToEnum, doBind, getConverter, getDefaultCollectionInstanceForType, getField, getFormatString, getFormattedConverter, getIndexedPropertyReferenceDescriptor, getPropertyInitializer, getReferencedTypeForCollection, getReferencedTypeForCollectionInClass, getValueConverter, getValueConverterForClass, getValueConverterForField, getValueInitializerForField, getValueOfBindInitializer, getValueOfBindUsing, initializeArray, initializeCollection, initializeMap, initializeProperty, isBasicType, isOkToAddElementAt, isOkToBind, isOkToBind, preprocessValue, processIndexedProperty, processProperty, registerConverter, registerFormattedValueConverter, registerStructuredEditor, setPropertyValue, setPropertyValue, splitIndexedStruct`

- - ### Field Detail

    - #### private boolean convertEmptyStringsToNull

    - #### protected GrailsApplication grailsApplication

    - #### protected java.util.List<DataBindingListener> listeners

    - #### protected org.springframework.context.MessageSource messageSource

    - #### private boolean trimStrings

  - ### Property Detail

    - #### boolean convertEmptyStringsToNull

    - #### boolean trimStrings

  - ### Constructor Detail

    - #### GrailsWebDataBinder(GrailsApplication grailsApplication)

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.Object addElementToCollection(java.lang.Object obj, java.lang.String propName, java.lang.Class propertyType, java.lang.Object propertyValue, boolean clearCollection)

    - #### protected java.lang.Object addElementToCollection(java.lang.Object obj, java.lang.String propName, org.grails.datastore.mapping.model.PersistentProperty property, java.lang.Object propertyValue, boolean clearCollection)

    - #### @java.lang.Override protected java.lang.Object addElementToCollectionAt(java.lang.Object obj, java.lang.String propertyName, java.util.Collection collection, java.lang.Object index, java.lang.Object val)

    - #### @java.lang.Override void bind(java.lang.Object obj, DataBindingSource source)

    - #### @java.lang.Override void bind(java.lang.Object obj, DataBindingSource source, DataBindingListener listener)

    - #### @java.lang.Override void bind(java.lang.Object object, DataBindingSource source, java.lang.String filter, java.util.List whiteList, java.util.List blackList, DataBindingListener listener)

    - #### @java.lang.Override void bind(java.lang.Object obj, groovy.util.slurpersupport.GPathResult gpath)

    - #### @java.lang.Override protected java.lang.Object convert(java.lang.Class typeToConvertTo, java.lang.Object value)

    - #### @java.lang.Override protected void doBind(java.lang.Object object, DataBindingSource source, java.lang.String filter, java.util.List whiteList, java.util.List blackList, DataBindingListener listener, java.lang.Object errors)

    - #### @groovy.transform.CompileStatic(value: TypeCheckingMode.SKIP) private java.lang.Object findAlementWithId(java.util.Set set, java.lang.Object idValue)

    - #### protected java.lang.Class getDomainClassType(java.lang.Object obj, java.lang.String propName)

      Parameters:
        `obj` - any object
        `propName` - the name of a property on obj
      Returns:
        the Class of the domain class referenced by propName, null if propName does not reference a domain class

    - #### @java.lang.Override protected java.lang.String getFormatString(java.lang.annotation.Annotation annotation)

    - #### protected java.lang.Object getIdentifierValueFrom(java.lang.Object source)

    - #### protected java.util.Locale getLocale()

    - #### private java.lang.Object getMetaPropertyValue(groovy.lang.MetaProperty metaProperty, java.lang.Object delegate)

    - #### private org.grails.datastore.mapping.model.PersistentEntity getPersistentEntity(java.lang.Class clazz)

    - #### protected java.lang.Object getPersistentInstance(java.lang.Class<?> type, java.lang.Object id)

    - #### @java.lang.Override protected java.lang.Class<?> getReferencedTypeForCollection(java.lang.String name, java.lang.Object target)

    - #### @java.lang.Override protected java.lang.Object initializeProperty(java.lang.Object obj, java.lang.String propName, java.lang.Class propertyType, DataBindingSource source)

    - #### protected boolean isDomainClass(java.lang.Class<?> clazz)

    - #### protected java.lang.Object populateErrors(java.lang.Object obj, org.springframework.validation.BindingResult bindingResult)

    - #### @java.lang.Override protected java.lang.Object preprocessValue(java.lang.Object propertyValue)

    - #### @java.lang.Override protected java.lang.Object processIndexedProperty(java.lang.Object obj, groovy.lang.MetaProperty metaProperty, IndexedPropertyReferenceDescriptor indexedPropertyReferenceDescriptor, java.lang.Object val, DataBindingSource source, DataBindingListener listener, java.lang.Object errors)

    - #### @java.lang.Override protected java.lang.Object processProperty(java.lang.Object obj, groovy.lang.MetaProperty metaProperty, java.lang.Object val, DataBindingSource source, DataBindingListener listener, java.lang.Object errors)

    - #### private java.util.Map resolveConstrainedProperties(java.lang.Object object)

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) void setDataBindingListeners(DataBindingListener[] listeners)

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) void setFormattedValueConverters(FormattedValueConverter[] converters)

    - #### @org.springframework.beans.factory.annotation.Autowired void setMessageSource(org.springframework.context.MessageSource messageSource)

    - #### @java.lang.Override protected java.lang.Object setPropertyValue(java.lang.Object obj, DataBindingSource source, groovy.lang.MetaProperty metaProperty, java.lang.Object propertyValue, DataBindingListener listener)

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) void setStructuredBindingEditors(TypedStructuredBindingEditor[] editors)

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) void setValueConverters(ValueConverter[] converters)